opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
CvBlobTrackPostProc Class Referenceabstract

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTrackPostProc:

## Public Member Functions

virtual void | AddBlob (CvBlob *pBlob)=0
| CvBlobTrackPostProc ()
virtual CvBlob * | GetBlob (int index)=0
virtual CvBlob * | GetBlobByID (int BlobID)
virtual int | GetBlobNum ()=0
virtual void | Process ()=0
virtual void | Release ()=0
Public Member Functions inherited from CvVSModule
| CvVSModule ()
char * | GetModuleName ()
const char * | GetNickName ()
double | GetParam (const char *name)
const char * | GetParamComment (const char *name)
const char * | GetParamName (int index)
const char * | GetParamStr (const char *name)
const char * | GetTypeName ()
int | IsModuleName (const char *name)
int | IsModuleTypeName (const char *name)
virtual void | LoadState (CvFileStorage *, CvFileNode *)
virtual void | ParamUpdate ()
virtual void | SaveState (CvFileStorage *)
void | SetNickName (const char *pStr)
void | SetParam (const char *name, double val)
void | SetParamStr (const char *name, const char *str)
void | TransferParamsFromChild (CvVSModule *pM, const char *prefix=NULL)
void | TransferParamsToChild (CvVSModule *pM, char *prefix=NULL)
virtual | ~CvVSModule ()

## Additional Inherited Members

Protected Member Functions inherited from CvVSModule
void | AddParam (const char *name, double *pAddr)
void | AddParam (const char *name, float *pAddr)
void | AddParam (const char *name, int *pAddr)
void | AddParam (const char *name, const char **pAddr)
void | AddParam (const char *name)
void | CommentParam (const char *name, const char *pComment)
void | DelParam (const char *name)
int | IsParam (const char *name)
void | SetModuleName (const char *name)
void | SetTypeName (const char *name)
Protected Attributes inherited from CvVSModule
int | m_Wnd

## Constructor & Destructor Documentation

CvBlobTrackPostProc::CvBlobTrackPostProc | ( |  | ) |

inline

## Member Function Documentation

virtual void CvBlobTrackPostProc::AddBlob | ( | CvBlob * | pBlob | ) |

pure virtual

virtual CvBlob* CvBlobTrackPostProc::GetBlob | ( | int | index | ) |

pure virtual

virtual CvBlob* CvBlobTrackPostProc::GetBlobByID | ( | int | BlobID | ) |

inline virtual

virtual int CvBlobTrackPostProc::GetBlobNum | ( |  | ) |

pure virtual

virtual void CvBlobTrackPostProc::Process | ( |  | ) |

pure virtual

virtual void CvBlobTrackPostProc::Release | ( |  | ) |

pure virtual

Implements CvVSModule.

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp